Subject: Re: docbook xml toolchain
From: Patrick Eisenacher <[email-masked]>
To: Andreas <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 May 2003 16:22:18 +0200

Andreas,

the rejects you attached state that the pdfxmltex format didn't make it 
to fmtutil.cnf. This is exactly the error you get trying to create pdf 
output from your xml source.

Ok, patch files are pretty easy to read. Do

man patch
man diff

to get info about them and the various formats. In short, a patch file 
contains one or more patches. Each patch contains the line number and 
length of the original version (-) and line number and length of the 
patched version (+). This info is given in the line starting with @@. 
The lines that follow are to be removed from the original (-) or added 
to the original (+). Lines without a -/+ identifier are sheer context 
information for readability purposes.

With this information at hand, you should be able to identify the proper 
places in your version of fmtutil.cnf to patch by hand.

The .fo file you see is the intermediate format for pdf creation. It is 
created by the default stylesheet processor (xsltproc for me). pdfxmltex 
  takes this file as input for creating your pdf via tex.

There are other free fo processors out there that don't use tex for pdf 
generation, eg fop. But all those free processors have limitations and 
shortcomings. A problem they all have in common is the processing of 
tables. And don't expect any fancy layout out of the box.

HTH,
Patrick

Andreas schrieb:
> Hello Patrick,
> 
> Thank you for the details!
> I could not resist and was curious about applying your hints on the newest
> available components. Here is what I discovered:
> 
> After downloading the newest available .zip archives of passivetex and
> xmltex from
> <http://www.tei-c.org.uk/Software/passivetex/>
> and extracting your docbook.zip file you sent to the list
> <http://cygwin.com/ml/cygwin/2003-05/msg00462.html>
> I extracted Norman Walsh´s docbook-xsl-1.61.0 stylesheets (available at
> <http://sourceforge.net/project/showfiles.php?group_id=21935>)
> to /usr/local/lib/xml/stylesheets/docbook-xsl
> and finally executed your script given in
> <http://cygwin.com/ml/cygwin/2003-05/msg00461.html>.
> 
> The docbook dtd is in /usr/share/docbook-xml42 due to the previous
> installation of Marcel Telkas
> <http://telka.sk/docbook/xml42/docbook-xml42-4.2-1.tar.bz2> package.
> 
> The command
> $ dbxml -t pdf thesis.xml
> produces following output:
> 
> Making portrait pages on USletter paper (8.5inx11in)
> This is pdfTeXk, Version 3.14159-1.10b (Web2C 7.4.5)
>  %&-line parsing enabled.
> kpathsea: Running mktexfmt pdfxmltex.fmt
> fmtutil: no info for format `pdfxmltex'.
> I can't find the format file `pdfxmltex.fmt'!
> 
> I guess this is due to the not correctly applied patches to fmtutil.cnf you
> mentioned. The file texmf.cnf is successfully patched like the script output
> shows:
> 
> ...
> patching file /usr/share/texmf/web2c/fmtutil.cnf
> Hunk #1 succeeded at 43 with fuzz 1 (offset 5 lines).
> Hunk #2 FAILED at 86.
> 1 out of 2 hunks FAILED -- saving rejects to file
> /usr/share/texmf/web2c/fmtutil
> .cnf.rej
> patching file /usr/share/texmf/web2c/texmf.cnf
> Hunk #4 succeeded at 167 (offset 1 line).
> Hunk #5 succeeded at 474 (offset 11 lines).
> ...
> 
> Since I never dealt with patching I am quite lost here. Could the generated
> fmtutil.cnf.rej file contain any interesting output that helps further
> patching? I attached it...
> 
> Is this something cygwin specific?
> 
> The command stated above creates at least a fo file. It looks good at first
> glance. On Monday I will check if it is valid and if I can process this
> further.
> 
> Thank again!
> Andreas

[snip]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/